import { Modal } from 'ant-design-vue'

const xmChildTableMixins = {
  data() {
    return {}
  },
  methods: {
    validchildtable(dataobj) {
      if (dataobj) {
        var data = dataobj.value
        const editrow = data.find((c) => c.editable === true)
        if (editrow !== undefined) {
          Modal.warning({
            title: '提示',
            content: '请先保存动态表格中内容！',
          })
          return false
        }
      }
      return true
    },
  },
}

export default xmChildTableMixins
